| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
pfm_pebs_nhm_smpl_entry_t Struct Reference

`#include <src/component/perfmon/perfmon_pebs_smpl.h>`

## Public Attributes
uint64_t | eflags
uint64_t | ip
uint64_t | eax
uint64_t | ebx
uint64_t | ecx
uint64_t | edx
uint64_t | esi
uint64_t | edi
uint64_t | ebp
uint64_t | esp
uint64_t | r8
uint64_t | r9
uint64_t | r10
uint64_t | r11
uint64_t | r12
uint64_t | r13
uint64_t | r14
uint64_t | r15
uint64_t | ia32_perf_global_status
uint64_t | daddr
uint64_t | dsrc_enc
uint64_t | latency

## Detailed Description

Definition at line 92 of file perfmon_pebs_smpl.h.

## Member Data Documentation

uint64_t pfm_pebs_nhm_smpl_entry_t::daddr

Definition at line 112 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::dsrc_enc

Definition at line 113 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::eax

Definition at line 95 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::ebp

Definition at line 101 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::ebx

Definition at line 96 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::ecx

Definition at line 97 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::edi

Definition at line 100 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::edx

Definition at line 98 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::eflags

Definition at line 93 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::esi

Definition at line 99 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::esp

Definition at line 102 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::ia32_perf_global_status

Definition at line 111 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::ip

Definition at line 94 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::latency

Definition at line 114 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r10

Definition at line 105 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r11

Definition at line 106 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r12

Definition at line 107 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r13

Definition at line 108 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r14

Definition at line 109 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r15

Definition at line 110 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r8

Definition at line 103 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_nhm_smpl_entry_t::r9

Definition at line 104 of file perfmon_pebs_smpl.h.

The documentation for this struct was generated from the following file:

- GaudiProfiling/src/component/perfmon/perfmon_pebs_smpl.h